curl --request GET \
--url https://{defaultHost}/v1/orders/filter_schema \
--header 'Authorization: Bearer <token>'{
"object": "rule_schema",
"schema_id": "order",
"attributes": [
{
"key": "live_mode",
"metadata": false,
"supported_values": [],
"type": "boolean",
"operators": [
"is",
"is_not"
]
},
{
"key": "created_at",
"metadata": false,
"supported_values": [],
"type": "date",
"operators": [
"is",
"is_not",
"is_after",
"is_before",
"is_on_or_after",
"is_on_or_before"
]
},
{
"key": "order_type",
"metadata": false,
"supported_values": [
"checkout",
"subscription"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "status",
"metadata": false,
"supported_values": [
"draft",
"processing",
"paid",
"payment_failed",
"void"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "fulfillment_status",
"metadata": false,
"supported_values": [
"unfulfilled",
"partially_fulfilled",
"fulfilled"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "shipment_status",
"metadata": false,
"supported_values": [
"unshipped",
"label_purchased",
"partially_shipped",
"shipped",
"in_transit",
"delivered",
"unshippable"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "return_status",
"metadata": false,
"supported_values": [
"not_returned",
"return_request_open",
"partially_returned",
"returned"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.email",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "customer.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "customer.created_at",
"metadata": false,
"supported_values": [],
"type": "date",
"operators": [
"is",
"is_not",
"is_after",
"is_before",
"is_on_or_after",
"is_on_or_before"
]
},
{
"key": "products.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "products.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "prices.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "prices.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "prices.price_type",
"metadata": false,
"supported_values": [
"one_time",
"finite_recurring",
"infinite_recurring"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
}
]
}Retrieves the filter schema for orders.
curl --request GET \
--url https://{defaultHost}/v1/orders/filter_schema \
--header 'Authorization: Bearer <token>'{
"object": "rule_schema",
"schema_id": "order",
"attributes": [
{
"key": "live_mode",
"metadata": false,
"supported_values": [],
"type": "boolean",
"operators": [
"is",
"is_not"
]
},
{
"key": "created_at",
"metadata": false,
"supported_values": [],
"type": "date",
"operators": [
"is",
"is_not",
"is_after",
"is_before",
"is_on_or_after",
"is_on_or_before"
]
},
{
"key": "order_type",
"metadata": false,
"supported_values": [
"checkout",
"subscription"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "status",
"metadata": false,
"supported_values": [
"draft",
"processing",
"paid",
"payment_failed",
"void"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "fulfillment_status",
"metadata": false,
"supported_values": [
"unfulfilled",
"partially_fulfilled",
"fulfilled"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "shipment_status",
"metadata": false,
"supported_values": [
"unshipped",
"label_purchased",
"partially_shipped",
"shipped",
"in_transit",
"delivered",
"unshippable"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "return_status",
"metadata": false,
"supported_values": [
"not_returned",
"return_request_open",
"partially_returned",
"returned"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "checkout.email",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "customer.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "customer.created_at",
"metadata": false,
"supported_values": [],
"type": "date",
"operators": [
"is",
"is_not",
"is_after",
"is_before",
"is_on_or_after",
"is_on_or_before"
]
},
{
"key": "products.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "products.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "prices.id",
"metadata": false,
"supported_values": [],
"type": "uuid",
"operators": [
"is",
"is_not"
]
},
{
"key": "prices.name",
"metadata": false,
"supported_values": [],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
},
{
"key": "prices.price_type",
"metadata": false,
"supported_values": [
"one_time",
"finite_recurring",
"infinite_recurring"
],
"type": "string",
"operators": [
"is",
"is_not",
"contains",
"not_contains",
"start_with",
"end_with"
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://developer.surecart.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Success
Was this page helpful?